Bug 2701 - net rpc info failure
Summary: net rpc info failure
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: net utility (show other bugs)
Version: 3.0.20
Hardware: x86 Linux
: P3 normal
Target Milestone: none
Assignee: Gerald (Jerry) Carter
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-11 22:37 UTC by John H Terpstra (mail address dead(
Modified: 2006-04-08 07:43 UTC (History)
0 users

See Also:


Attachments
Log file with segfault. (143.15 KB, text/plain)
2005-05-11 22:38 UTC, John H Terpstra (mail address dead(
no flags Details
Ethereal Capture of interaction between 'net rpc info' and smbd. (16.27 KB, application/octet-stream)
2005-05-11 22:40 UTC, John H Terpstra (mail address dead(
no flags Details
Error output on screen. (349 bytes, text/plain)
2005-05-11 22:40 UTC, John H Terpstra (mail address dead(
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John H Terpstra (mail address dead( 2005-05-11 22:37:36 UTC
Approx. 10-14 minutes after smbd has been started the use of 'net rpc info' may
fail with a segfault.

Details in the attached.

PS: The use of 'net rpc info' works fine for up to 14 minutes, except if smbd is
started with log level 10 which causes nearly every execution to segfault.

- John T.
Comment 1 John H Terpstra (mail address dead( 2005-05-11 22:38:26 UTC
Created attachment 1218 [details]
Log file with segfault.

This is the log file that demonstrates the segfault.
Comment 2 John H Terpstra (mail address dead( 2005-05-11 22:40:24 UTC
Created attachment 1219 [details]
Ethereal Capture of interaction between 'net rpc info' and smbd.
Comment 3 John H Terpstra (mail address dead( 2005-05-11 22:40:51 UTC
Created attachment 1220 [details]
Error output on screen.
Comment 4 Volker Lendecke 2005-05-12 01:40:51 UTC
Hopefully fixed with revision 6748.

John, thanks for finding this!

Volker
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:17:53 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 6 Gerald (Jerry) Carter 2006-04-08 07:43:45 UTC
Cleaning up versions.  There was no 3.0.15 so leaving it in bugzilla 
is causing some confusion.  Moving these nuder 3.0.20.
Originally files against 3.0.15preX.